> ## Documentation Index
> Fetch the complete documentation index at: https://docs.linkio.world/llms.txt
> Use this file to discover all available pages before exploring further.

# Direct Onramp



## OpenAPI

````yaml /reference/link-transaction.json post /transactions/v2/direct_ramp/deposit
openapi: 3.1.0
info:
  title: link-transaction
  version: '1.0'
servers:
  - url: https://api.linkio.world
security:
  - sec0: []
tags:
  - name: Direct FX
  - name: Pan-Africa Ramp
  - name: BRL Ramp
  - name: IDR Ramp
  - name: B2B
  - name: Customers
  - name: Static Details
  - name: Transactions
  - name: Accounts
  - name: ESPESS
paths:
  /transactions/v2/direct_ramp/deposit:
    post:
      tags:
        - Pan-Africa Ramp
      summary: Direct Onramp
      operationId: get_new-endpoint-1
      parameters:
        - in: query
          name: quoteId
          schema:
            type: string
          required: true
          description: Id from get Rate Quote endpoint.
        - in: query
          name: currency
          schema:
            type: string
            enum:
              - NGN
              - GHS
              - KES
              - ZAR
            default: NGN
          required: true
        - in: query
          name: stables
          schema:
            type: string
            enum:
              - USDC
              - USDT
            default: USDC
          required: true
          description: Stable coin in which user wants to be settled in (USDC, USDT).
        - in: query
          name: network
          schema:
            type: string
            enum:
              - base
              - matic
          required: true
          description: The address network to disburse payment.
        - in: query
          name: address
          schema:
            type: string
          required: true
          description: Wallet address stablecoin token will be sent to.
        - in: query
          name: phone_number
          schema:
            type: string
          description: >-
            currency payment method is mobile money transfer. input phone number
            sending funds.
        - in: query
          name: bankaccount_number
          schema:
            type: string
          description: >-
            Currency payment method is bank transfer. Input account number
            sending funds.
      responses:
        '200':
          description: ''
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: ngnc-sec-key
      x-default: ''

````